#pragma once

#include <argp.h>
#include <err.h>
#include <stdbool.h>

typedef struct {
    bool onlySystem;
    bool noSystem;
    bool recursive;
    bool colorOutput;
    bool json;
    bool listPaths;
    bool listNames;
    bool errUnknownLocation;
    int indent;
    char *peFilePath;
} Arguments;

Arguments *parseArguments(int argc, char **argv);

Arguments *useArguments();
