#pragma once

#include <stdarg.h>
#include <stdbool.h>
#include <string.h>
#include "deferable.h"
#include "util.h"

#define SFMT "%.*s"
#define SALC(string) ((String *) string)->length, ((String *) string)->cStr
#define SACL(string) ((String *) string)->cStr, ((String *) string)->length

DefineDeferable(String) {
    Deferable deferable;
    bool ownsString;
    int length;
    const char *cStr;
};

String *string(const char *format, ...);

String *stringDup(const String *string);

int compareString(String *a, String *b);
