#pragma once

#include "deferable.h"
#include "pe_header.h"
#include "hint_name_table.h"
#include "section.h"

#define OrdinalFlag32 0x80000000
#define OrdinalFlag64 0x8000000000000000

DefineDeferable(ImportLookupTable) {
    Deferable deferable;
    PeHeader *peHeader;
    Section *section;
    uint32_t *iltBase32;
    uint64_t *iltBase64;
    int offset;
};

ImportLookupTable *newImportLookupTable(PeHeader *peHeader, long rva);

bool hasNextHint(ImportLookupTable *ilt);

HintNameTable *getNextHint(ImportLookupTable *ilt);
