#pragma once

#include <unistd.h>
#include <stdlib.h>
#include "deferable.h"
#include "ordered_unique_list.h"
#include "deferable_string.h"

DefineDeferable(DllDependency) {
    Deferable deferable;
    String *dllName;
    String *dllPath;
    OrderedUniqueList *symbols;
    bool isSystem;
    bool isDelayed;
};

DllDependency *newDllDependency(const String *dllName);

int compareDllDependency(DllDependency *a, DllDependency *b);

OrderedUniqueList *useSystemDllDirectories();

OrderedUniqueList *useDllDirectories();
