#pragma once

#include <malloc.h>
#include <sys/mman.h>
#include <string.h>
#include <errno.h>
#include <unistd.h>
#include <fcntl.h>
#include "deferable.h"

DefineDeferable(MappedFile) {
    Deferable deferable;
    const char *filePath;
    const void *map;
    long fileSize;
    int fileDescriptor;
};

MappedFile *newMappedFile(const char *filePath);
