#pragma once

#include "deferable.h"
#include "pe_header.h"

DefineDeferable(Section) {
    Deferable deferable;
    const PeHeader *peHeader;
    const SectionHeader *header;
    const void *data;
};

Section *findSection(const PeHeader *peHeader, const char *name);

Section *findSectionByRva(const PeHeader *peHeader, long rva);

const void * resolveSectionRva(const Section *section, long rva);
